BEGIN TRANSACTION;
CREATE TABLE Airline (CompanyName VARCHAR(100) PRIMARY KEY, Headquarters VARCHAR(100), NumberofEmployees INTEGER);
INSERT INTO "Airline" VALUES('British Airways','UK',10000);
INSERT INTO "Airline" VALUES('American Airlines','USA',120000);
INSERT INTO "Airline" VALUES('All Nippon Airways','Japan',68000);
INSERT INTO "Airline" VALUES('Air France','France',25000);
INSERT INTO "Airline" VALUES('Emirates','UAE',35000);
CREATE TABLE AirlinesAndFlights (AirlinesID INTEGER REFERENCES Airline(CompanyName), FlightsID INTEGER REFERENCES Flight(FlightID), PRIMARY KEY(AirlinesID, FlightsID));
INSERT INTO "AirlinesAndFlights" VALUES(1,1);
INSERT INTO "AirlinesAndFlights" VALUES(1,2);
INSERT INTO "AirlinesAndFlights" VALUES(2,3);
INSERT INTO "AirlinesAndFlights" VALUES(3,4);
INSERT INTO "AirlinesAndFlights" VALUES(4,5);
CREATE TABLE AirportDetails (AirportID INTEGER REFERENCES Airports(AirportID), Passenger_Throughput INTEGER, Number_Of_Aircrafts INTEGER, Latitude DECIMAL(9,7), Longitude DECIMAL(9,7), FOREIGN KEY(AirportID) REFERENCES Airports(AirportID));
INSERT INTO "AirportDetails" VALUES(1,10000,20,51.5074,-0.1278);
INSERT INTO "AirportDetails" VALUES(2,50000,50,40.7128,-74.006);
INSERT INTO "AirportDetails" VALUES(3,20000,50,35.6895,139.6917);
INSERT INTO "AirportDetails" VALUES(4,25000,40,48.8566,2.3522);
INSERT INTO "AirportDetails" VALUES(5,10000,20,25.2048,55.2708);
CREATE TABLE Airports (AirportID INTEGER PRIMARY KEY, City VARCHAR(50), Country VARCHAR(50));
INSERT INTO "Airports" VALUES(1,'London','United Kingdom');
INSERT INTO "Airports" VALUES(2,'New York','USA');
INSERT INTO "Airports" VALUES(3,'Tokyo','Japan');
INSERT INTO "Airports" VALUES(4,'Paris','France');
INSERT INTO "Airports" VALUES(5,'Dubai','UAE');
CREATE TABLE Flight (FlightID INTEGER PRIMARY KEY, DepartureTime TIMESTAMP, Destination VARCHAR(50));
INSERT INTO "Flight" VALUES(1,'2022-01-01 09:00:00','New York');
INSERT INTO "Flight" VALUES(2,'2022-01-02 10:00:00','London');
INSERT INTO "Flight" VALUES(3,'2022-01-03 11:00:00','Tokyo');
INSERT INTO "Flight" VALUES(4,'2022-01-04 12:00:00','Paris');
INSERT INTO "Flight" VALUES(5,'2022-01-05 13:00:00','Dubai');
CREATE TABLE Passengers (PassengerID INTEGER PRIMARY KEY, Name VARCHAR(100), Age INTEGER);
INSERT INTO "Passengers" VALUES(1,'John Doe',25);
INSERT INTO "Passengers" VALUES(2,'Jane Smith',30);
INSERT INTO "Passengers" VALUES(3,'Michael Johnson',40);
INSERT INTO "Passengers" VALUES(4,'Linda Brown',35);
INSERT INTO "Passengers" VALUES(5,'David Wilson',50);
COMMIT;
